Subject: Re: bug#39089: Guix System: Very long, scary boot time

From: Ludovic Courtès <[email-masked]>
Date: Fri, 17 Jan 2020 22:39:06 +0100

Hello!

Danny Milosavljevic <[email-masked]> skribis:

> I think it's our job as a distribution to integrate the components properly into
> the system so that confusing stuff like that doesn't happen.
>
> As a first step, we could just not start a getty on tty1 when gdm is configured
> to start (see tty1 in %base-services in (gnu services base)).  Then the thing
> above wouldn't appear.
>
> The usual fix a lot of other distributions (and BIOSes) have is to display a
> splash screen on top.

I think that would be the better fix: add the splash screen thing (I
forgot the name) to ‘%desktop-services’, but keep functional TTYs.

> Because of long boot times (15 s is ALSO too long) I almost never reboot

Heh same here.

We should do some profiling with “bootchart” I think it’s called.  I’m
sure systemd does a better job that the Shepherd, in particular by
starting more things on demand and doing others in parallel.  We’ll get there.

> I've tried booting Guix now and I took note of the following points in time:
>
> t = 0 s: I press the power button
> t = 8 s: Grub asks for my system password  
> t = 45 s: Console login prompt appears 
> t = 55 s: GDM login prompt appears

That’s roughly what I get on my laptop.  (Note: Guix cannot be blamed
for what happens until the kernel has booted.  :-))

Ludo’.